Index: frm/frmBackupServer.cpp
===================================================================
--- frm/frmBackupServer.cpp	(revision 8225)
+++ frm/frmBackupServer.cpp	(working copy)
@@ -147,7 +147,7 @@
         cmd += wxT(" --host ") + server->GetName();
 
     cmd +=  wxT(" --port ") + NumToStr((long)server->GetPort())
-         +  wxT(" --username ") + server->GetUsername();
+         +  wxT(" --username ") + commandLineCleanOption(server->GetUsername());
     return cmd;
 }
 
Index: frm/frmBackup.cpp
===================================================================
--- frm/frmBackup.cpp	(revision 8225)
+++ frm/frmBackup.cpp	(working copy)
@@ -297,7 +297,7 @@
         cmd += wxT(" --host ") + server->GetName();
 
     cmd +=  wxT(" --port ") + NumToStr((long)server->GetPort())
-         +  wxT(" --username ") + server->GetUsername();
+         +  wxT(" --username ") + commandLineCleanOption(server->GetUsername());
 
     if (object->GetConnection()->GetIsGreenplum())
         cmd += wxT(" --gp-syntax ");
@@ -401,17 +401,19 @@
                     if (pgAppMinimumVersion(backupExecutable, 8, 2))
                     {
 #ifdef WIN32
-                        tmpTables.Append(wxT(" --table \"\\\"") + ctvObjects->GetItemText(schema) +
-                                   wxT("\\\".\\\"") + ctvObjects->GetItemText(table) + wxT("\\\"\""));
+                        tmpTables.Append(wxT(" --table ") + 
+                              commandLineCleanOption(wxT("\"") +ctvObjects->GetItemText(schema) +
+                                    wxT("\".\"") + ctvObjects->GetItemText(table) + wxT("\"\"")));
 #else
-                        tmpTables.Append(wxT(" --table '") + ctvObjects->GetItemText(schema) +
-                                   wxT(".") + ctvObjects->GetItemText(table) + wxT("'"));
+                        tmpTables.Append(wxT(" --table ") +
+                              commandLineCleanOption(wxT("'") + ctvObjects->GetItemText(schema) +
+                                   wxT(".") + ctvObjects->GetItemText(table) + wxT("'")));
 #endif
                     }
                     else
                     {
-                        tmpTables.Append(wxT(" --table ") + ctvObjects->GetItemText(table));
-                        tmpTables.Append(wxT(" --schema ") + ctvObjects->GetItemText(schema));
+                        tmpTables.Append(wxT(" --table ") + commandLineCleanOption(ctvObjects->GetItemText(table)));
+                        tmpTables.Append(wxT(" --schema ") + commandLineCleanOption(ctvObjects->GetItemText(schema)));
                     }
                 }
                 else
@@ -429,9 +431,9 @@
             else
             {
 #ifdef WIN32
-                cmdSchemas.Append(wxT(" --schema \\\"") + ctvObjects->GetItemText(schema) + wxT("\\\""));
+                cmdSchemas.Append(wxT(" --schema ") + commandLineCleanOption(wxT("\"") + ctvObjects->GetItemText(schema) + wxT("\"")));
 #else
-                cmdSchemas.Append(wxT(" --schema '") + ctvObjects->GetItemText(schema) + wxT("'"));
+                cmdSchemas.Append(wxT(" --schema '") + commandLineCleanOption(ctvObjects->GetItemText(schema) + wxT("'")));
 #endif
             }
         }
Index: frm/frmBackupGlobals.cpp
===================================================================
--- frm/frmBackupGlobals.cpp	(revision 8225)
+++ frm/frmBackupGlobals.cpp	(working copy)
@@ -162,7 +162,7 @@
         cmd += wxT(" --host ") + server->GetName();
 
     cmd +=  wxT(" --port ") + NumToStr((long)server->GetPort())
-         +  wxT(" --username ") + server->GetUsername();
+         +  wxT(" --username ") + commandLineCleanOption(server->GetUsername());
     return cmd;
 }
 
Index: frm/frmRestore.cpp
===================================================================
--- frm/frmRestore.cpp	(revision 8225)
+++ frm/frmRestore.cpp	(working copy)
@@ -400,19 +400,19 @@
             switch (object->GetMetaType())
             {
                 case PGM_FUNCTION:
-                    cmd.Append(wxT(" --function ") + object->GetFullName());
+                    cmd.Append(wxT(" --function ") + commandLineCleanOption(object->GetFullName()));
                     break;
                 case PGM_INDEX:
-                    cmd.Append(wxT(" --index ") + object->GetQuotedIdentifier());
+                    cmd.Append(wxT(" --index ") + commandLineCleanOption(object->GetQuotedIdentifier()));
                     break;
                 case PGM_SCHEMA:
-                    cmd.Append(wxT(" --schema ") + object->GetQuotedIdentifier());
+                    cmd.Append(wxT(" --schema ") + commandLineCleanOption(object->GetQuotedIdentifier()));
                     break;
                 case PGM_TABLE:
-                    cmd.Append(wxT(" --table ") + object->GetQuotedIdentifier());
+                    cmd.Append(wxT(" --table ") + commandLineCleanOption(object->GetQuotedIdentifier()));
                     break;
                 case PGM_TRIGGER:
-                    cmd.Append(wxT(" --trigger ") + object->GetQuotedIdentifier());
+                    cmd.Append(wxT(" --trigger ") + commandLineCleanOption(object->GetQuotedIdentifier()));
                     break;
                 default:
                     break;
